Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614448 - <dev-perl/YAML-Syck-1.300.0 fails tests without '.' in @INC (Can't locate t/TestYAML.pm in @INC)
Summary: <dev-perl/YAML-Syck-1.300.0 fails tests without '.' in @INC (Can't locate t/T...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Low minor (vote)
Assignee: Gentoo Perl team
URL: https://rt.cpan.org/Ticket/Display.ht...
Whiteboard:
Keywords: TESTFAILURE
Depends on: 619054
Blocks: perl-5.26-no-dot-inc
  Show dependency tree
 
Reported: 2017-04-01 18:48 UTC by Kent Fredric (IRC: kent\n) (RETIRED)
Modified: 2017-09-17 23:31 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2017-04-01 18:48:37 UTC
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t t/*/*.t
t/1-basic.t ................... ok  
t/11-loadfile.t ............... Can't locate t/TestYAML.pm in @INC (you may need to install the t::TestYAML module) (@INC contains: /var/tmp/portage/dev-perl/YAML-Syck-1.290.0/work/YAML-Syck-1.29/inc /var/tmp/portage/dev-perl/YAML-Syck-1.290.0/work/YAML-Syck-1.29/blib/lib /var/tmp/portage/dev-perl/YAML-Syck-1.290.0/work/YAML-Syck-1.29/blib/arch /etc/perl /usr/local/lib64/perl5/5.25.11/x86_64-linux /usr/local/lib64/perl5/5.25.11 /usr/lib64/perl5/vendor_perl/5.25.11/x86_64-linux /usr/lib64/perl5/vendor_perl/5.25.11 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.25.11 /usr/lib64/perl5/vendor_perl/5.22.3 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.25.11/x86_64-linux /usr/lib64/perl5/5.25.11) at t/11-loadfile.t line 1.
BEGIN failed--compilation aborted at t/11-loadfile.t line 1.
t/11-loadfile.t ............... Dubious, test returned 2 (wstat 512, 0x200)
No subtests run
t/12-dumpfile.t ............... Can't locate t/TestYAML.pm in @INC (you may need to install the t::TestYAML module) (@INC contains: /var/tmp/portage/dev-perl/YAML-Syck-1.290.0/work/YAML-Syck-1.29/inc /var/tmp/portage/dev-perl/YAML-Syck-1.290.0/work/YAML-Syck-1.29/blib/lib /var/tmp/portage/dev-perl/YAML-Syck-1.290.0/work/YAML-Syck-1.29/blib/arch /etc/perl /usr/local/lib64/perl5/5.25.11/x86_64-linux /usr/local/lib64/perl5/5.25.11 /usr/lib64/perl5/vendor_perl/5.25.11/x86_64-linux /usr/lib64/perl5/vendor_perl/5.25.11 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.25.11 /usr/lib64/perl5/vendor_perl/5.22.3 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.25.11/x86_64-linux /usr/lib64/perl5/5.25.11) at t/12-dumpfile.t line 1.
BEGIN failed--compilation aborted at t/12-dumpfile.t line 1.
t/12-dumpfile.t ............... Dubious, test returned 2 (wstat 512, 0x200)
No subtests run
Comment 1 Ettore Di Giacinto (RETIRED) gentoo-dev 2017-04-19 16:39:24 UTC
A release candidate with the fix was released (1.30_1), but seems another upstream release will follow soon
Comment 2 Ettore Di Giacinto (RETIRED) gentoo-dev 2017-04-20 13:39:35 UTC
commit 3e43aeb7afeeaa8e23d22d3bfa7830c8e4e9cf88
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Thu Apr 20 15:36:10 2017 +0200

    dev-perl/YAML-Syck: bump version to 1.300.0 wrt bug #614448

    Upstream changes:
    - Adjust unit tests to not require . in @INC
    - Fix handling carriage return after c-indicator
    - Fix CHECK_UTF8 SEGV with empty len=0 strings
    - Add missing function declarations
    - Tighten the TODO tests, no passing TODOs now. But still JSON
      SingleQuote and \/ and \u roundtrips do fail.

    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=614448
    Package-Manager: Portage-2.3.3, Repoman-2.3.2
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2017-08-27 15:50:47 UTC
should be ok now.
Comment 4 Larry the Git Cow gentoo-dev 2017-09-17 23:30:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71a35bb27df842ebf6b1b06eadb6ac90e606ae2d

commit 71a35bb27df842ebf6b1b06eadb6ac90e606ae2d
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2017-09-17 23:30:02 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2017-09-17 23:30:02 +0000

    dev-perl/YAML-Syck: Cleanup old re bug #614448
    
    Removing versions affected by '.' in @INC
    
    Bug: https://bugs.gentoo.org/614448
    Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-perl/YAML-Syck/Manifest                 |  1 -
 dev-perl/YAML-Syck/YAML-Syck-1.290.0.ebuild | 17 -----------------
 2 files changed, 18 deletions(-)}